# Contributing

Scikit-Optimize is an open-source project and contributions of all kinds
are welcome.

Contributions should follow these guidelines:

* all changes by pull request (PR);
* a PR solves one problem (do not mix problems together in one PR) with the
  minimal set of changes;
* describe why you are proposing the changes you are proposing;
* try to not rush changes (the definition of rush depends on how big your
  changes are);
* someone else has to merge your PR;
* new code needs to come with a test;
* apply [PEP8](https://www.python.org/dev/peps/pep-0008/) as much
  as possible, but not too much;
* no merging if travis is red.

These are not hard rules to be enforced by :police_car: but instead guidelines.
